<?php 
$title = $args['_hdr_title'];
$shortcode = $args['_hdr_shortcode'];
$image_first_access = $args['_hdr_image_first_access'];
?>

    <section class="first-access">
        <div class="container">
            <div class="fa-wrap">
                <div class="content-col">
                    <div class="content-wrap">
                        <?php if ($title): ?>
                            <h2><?php echo esc_html($title); ?></h2>
                        <?php endif; ?>

                        <?php echo $shortcode; ?>                      
                    </div>
                </div>
                <div class="image-col">
                    <div class="image-wrap">
                        <?php if ($image_first_access): ?>
                            <img src="<?php echo esc_url($image_first_access['url']); ?>" alt="<?php echo esc_attr($image_first_access['alt']); ?>">
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
    </section>