<?php 
$main_title = $args['hdr_main_title'];
$sub_title = $args['hdr_sub_title'];
$slider_heading = $args['hdr_slider_heading'];
$images = $args['hdr_images'];
?>
    <section class="title-text-image">
        <div class="page-center">
            <div class="title-text-wrap">
            <?php if ($main_title): ?>
            <h1><?php echo esc_html($main_title); ?></h1>
            <?php endif; 
                if ($sub_title): ?>
                <div class="h3"><?php echo $sub_title; ?></div>
            <?php endif; ?>
            </div>
            <?php if ($images): ?>
                <div class="image-text">
                <div class="slider">
                <?php foreach ($images as $image_row): ?>
                    <?php $image = $image_row['hdr_image']; ?>
                    <div class="slide">
                    <img src="<?php echo esc_url($image['url']); ?>" alt="<?php echo esc_attr($image['alt']); ?>">
                    </div>
                    
                <?php endforeach; ?>
                </div>
                <?php if ($slider_heading): ?><div class="overlay-text"><?php echo $slider_heading; ?></div><?php endif; ?>
                </div>
            <?php endif; ?>
        </div>
    </section> 
    




