// Title-Text-Image
const slides = document.querySelectorAll('.slide');
const overlayText = document.querySelector('.overlay-text');

function startAnimation() {
    slides[0].style.zIndex = '3';
    slides[1].style.zIndex = '2';
    slides[2].style.zIndex = '1';

    // Show all slides initially
    slides.forEach((slide, index) => {
        slide.style.transform = 'scale(1)';
        slide.style.opacity = '1';
    });

    // Scale and combine all slides to center
    setTimeout(() => {
        slides.forEach((slide, index) => {
            slide.style.transform = 'scale(1)';
            slide.style.opacity = '1';
        });
    }, 1000);

    // Move the center slide to the left and show text
    setTimeout(() => {
        slides.forEach((slide, index) => {
            slide.style.transform = 'translateX(0%)';
        });
        slides[0].style.transform = 'translateX(111.5%) scale(2)';
        slides[1].style.transform = 'translateX(0%) scale(2)';
        slides[2].style.transform = 'translateX(-111.5%) scale(2)';
        overlayText.classList.add('show-overlay-text');
    }, 1000);

    setTimeout(function () {
        slides[0].style.zIndex = '-1';
        slides[1].style.zIndex = '-1';
        slides[2].style.zIndex = '9';
        slides[0].style.opacity = '0';
        slides[1].style.opacity = '0';
    }, 2900);

    // Move slides to the left and show text
    setTimeout(() => {
        slides[2].style.transform = 'translateX(-202%) scale(1.5)';

        overlayText.style.transform = 'translateX(60%)';
    }, 3000);
}

startAnimation();

//before-after-slider
$(document).ready(function () {
    $('.ba-Slider').each(function () {
        var $slider = $(this).find('.slider');
        var $before = $(this).find('#before');

        function moveSlider(e) {
            var clientX =
                e.type === 'touchmove' ? e.touches[0].clientX : e.pageX;
            var mouseX = clientX - $slider.parent().offset().left;
            $before.width(mouseX);
            $slider.css('left', mouseX - $slider.width() / 2);
        }

        $slider.on('mousedown touchstart', function () {
            $(this).removeClass('ease');
            $before.removeClass('ease');

            $(document).on('mousemove.slider touchmove.slider', moveSlider);
        });

        $(document).on('mouseup touchend', function () {
            $(document).off('mousemove.slider touchmove.slider');
            $slider.addClass('ease');
            $before.addClass('ease');

            var minmax = $slider.parent().width() / 8;
            if ($before.width() > $slider.parent().width() - minmax) {
                $before.width('100%');
                $slider.css(
                    'left',
                    $slider.parent().width() - $slider.width() / 2
                );
            } else if ($before.width() < minmax) {
                $before.width(0);
                $slider.css('left', -$slider.width() / 2);
            }
        });
    });
});
$(document).ready(function () {
    $('.edit-photo-wrap .codedropz-upload-wrapper').after(
        '<div class="extra"><p>Maximum of 5 Images Allowed</p><div class="cta"><a href="javascript:Void(0)" id="editButton">Edit</a></div>'
    );
    function Imguploader() {
        var $input = $(
            '.edit-photo-wrap .wpcf7-form-control , .edit-photo-wrap .wpcf7-drag-n-drop-file'
        ); // Assuming this is the file input field
        var input = $input[0]; // Getting the element from jQuery
        let file_number = 0;
        if (!window.FileReader) {
            return alert('FileReader API is not supported by your browser.');
        }
        if (input.files) {
            var files = input.files;
            // Get the files array
            console.log(files);
            Array.from(files).forEach((file) => {
                console.log(file_number);
                $(
                    '.edit-photo-wrap .codedropz-upload-wrapper .dnd-upload-status'
                )
                    .eq(file_number++)
                    .find('.dnd-upload-details .name')
                    .append($('<img/>').attr('src', URL.createObjectURL(file)));
            });
            if ($('.dnd-upload-status').length < 5) {
                $('.codedropz-upload-wrapper').addClass('preview');
                $(
                    '.codedropz-upload-inner h3,.codedropz-upload-inner span '
                ).css('display', 'none');
                $('.codedropz-upload-inner .cd-upload-btn').html(
                    "<svg xmlns='http://www.w3.org/2000/svg' width='40' height='40' viewBox='0 0 40 40' fill='none'><path d='M20 1L20 39' stroke='white' stroke-width='2' stroke-linecap='round'></path><path d='M1 20L39 20' stroke='white' stroke-width='2' stroke-linecap='round'></path></svg>"
                );
            }
            if ($('.dnd-upload-status').length == 5) {
                $('.codedropz-upload-wrapper').addClass('preview');
                $('.codedropz-upload-handler').css('display', 'none');
                // $(".codedropz-upload-wrapper").after('<p>Maximum of 5 Images Allowed</p><div class="cta"><a href="javascript:Void(0)" id="editButton">Edit</a></div>');
            }
            $('#editButton').click(function () {
                console.log('dfsd');
                $('#editModal11').css('display', 'block');
            });
            $('.close').click(function () {
                $('#editModal11').css('display', 'none');
            });
        } else {
            alert('File not selected or browser incompatible.');
        }
    }
    $('.edit-photo-wrap .codedropz-upload-handler').on(
        'drop',
        function (event) {
            Imguploader();
        }
    );

    $('.edit-photo-wrap .codedropz-upload-wrapper').change(function () {
        Imguploader();

        // if (!window.FileReader) {
        //     return alert('FileReader API is not supported by your browser.');
        // }

        // if (input.files) {
        //     var files = input.files;
        //     // Get the files array
        //     console.log(files);
        //     Array.from(files).forEach(file => {
        //         console.log(file_number);
        //         $('.codedropz-upload-wrapper .dnd-upload-status').eq(file_number++).find('.dnd-upload-details .name').append($('<img/>').attr('src', URL.createObjectURL(file)));

        //     });
        //     if($('.dnd-upload-status').length < 5){
        //         $('.codedropz-upload-wrapper').addClass("preview");
        //         $('.codedropz-upload-inner h3,.codedropz-upload-inner span ').css("display", "none");
        //         $('.codedropz-upload-inner .cd-upload-btn').html("<svg xmlns='http://www.w3.org/2000/svg' width='40' height='40' viewBox='0 0 40 40' fill='none'><path d='M20 1L20 39' stroke='white' stroke-width='2' stroke-linecap='round'></path><path d='M1 20L39 20' stroke='white' stroke-width='2' stroke-linecap='round'></path></svg>");

        //     }
        //     if($('.dnd-upload-status').length == 5){
        //         $('.codedropz-upload-wrapper').addClass("preview");
        //         $('.codedropz-upload-inner').css("display", "none");
        //         // $(".codedropz-upload-wrapper").after('<p>Maximum of 5 Images Allowed</p><div class="cta"><a href="javascript:Void(0)" id="editButton">Edit</a></div>');
        //     }
        //     $('#editButton').click(function() {
        //         console.log("dfsd");
        //         $('#editModal11').css('display', 'block');
        //     });
        //     $('.close').click(function() {
        //         $('#editModal11').css('display', 'none');
        //     });
        //     // for (var i = 0; i < files.length; i++) {
        //     //     var file = files[i];
        //     //     var fr = new FileReader(); // Create a new FileReader instance

        //     //     fr.onload = (function(file) {
        //     //         return function(e) {
        //     //             console.log(i);
        //     //             // Append each image to the container
        //     //             $('.codedropz-upload-wrapper .dnd-upload-status').eq(i).addClass("sdfsd");
        //     //             $('.codedropz-upload-wrapper .dnd-upload-status').eq(i).find('.dnd-upload-details .name').append($('<img/>').attr('src', e.target.result));
        //     //             console.log("File loaded: ", file.name);
        //     //             let file_number = 0;

        //     //         };

        //     //     })(file);

        //     //     fr.readAsDataURL(file); // Read the file as DataURL
        //     // }
        // } else {
        //     alert("File not selected or browser incompatible.");
        // }
    });
    $(document).on('click', '.dnd-icon-remove', function (e) {
        e.preventDefault();
        console.log($('.dnd-upload-status').length);
        if ($('.dnd-upload-status').length <= 5) {
            $('.codedropz-upload-handler').css('display', 'block');
            // $('.codedropz-upload-wrapper').addClass("preview");
            $('.codedropz-upload-inner h3,.codedropz-upload-inner span ').css(
                'display',
                'none'
            );
            $('.codedropz-upload-inner .cd-upload-btn').html(
                "<svg xmlns='http://www.w3.org/2000/svg' width='40' height='40' viewBox='0 0 40 40' fill='none'><path d='M20 1L20 39' stroke='white' stroke-width='2' stroke-linecap='round'></path><path d='M1 20L39 20' stroke='white' stroke-width='2' stroke-linecap='round'></path></svg>"
            );
            // By Designer - 30 July 2024 Start
            $('.has-error-msg').remove();
            // By Designer - 30 July 2024 End
        }
    });
});

// $(document).ready(function() {
//     $(".ba-Slider").each(function() {
//         var $slider = $(this).find(".slider");
//         var $before = $(this).find("#before");

//         $slider.on("mousedown", function() {
//             $(this).removeClass("ease");
//             $before.removeClass("ease");
//             $(document).on("mousemove.slider", function(e) {
//                 var mouseX = e.pageX - $slider.parent().offset().left;
//                 $before.width(mouseX);
//                 $slider.css("left", mouseX - 16.5);
//             });
//         });

//         $(document).on("mouseup", function() {
//             $(document).off("mousemove.slider");
//             $slider.addClass("ease");
//             $before.addClass("ease");

//             var minmax = $slider.parent().width() / 8;
//             if ($before.width() > $slider.parent().width() - minmax) {
//                 $before.width("100%");
//                 $slider.css("left", $slider.parent().width() - 16.5);
//             } else if ($before.width() < minmax) {
//                 $before.width(0);
//                 $slider.css("left", -16.5);
//             }
//         });
//     });
// });

//form
function validateForm() {
    var emailField = document.querySelector('.input-field');
    var errorMessage = document.getElementById('error-message');
    if (!emailField.value) {
        errorMessage.textContent = 'Email is required';
        return false;
    }
    if (!emailField.checkValidity()) {
        errorMessage.textContent = 'Please enter a valid email address';
        return false;
    }
    errorMessage.textContent = '';
    return true;
}

//edit-photo
document.addEventListener('DOMContentLoaded', () => {
    const dropArea = document.getElementById('drop-area');
    const browseButton = document.getElementById('browseButton');
    const fileInput = document.getElementById('fileInput');
    const previewArea = document.getElementById('preview-area');
    const imageContainer = document.getElementById('image-container');
    const addImageButton = document.getElementById('add-image');
    const editButton = document.getElementById('editButton');
    const modal = document.getElementById('editModal11');
    const span = document.getElementsByClassName('close')[0];

    browseButton.addEventListener('click', () => {
        fileInput.click();
    });

    addImageButton.addEventListener('click', () => {
        fileInput.click();
    });

    fileInput.addEventListener('change', handleFiles);

    dropArea.addEventListener('dragover', (e) => {
        e.preventDefault();
    });

    dropArea.addEventListener('drop', (e) => {
        e.preventDefault();
        const files = e.dataTransfer.files;
        handleFiles({ target: { files } });
    });

    function handleFiles(event) {
        const files = event.target.files;
        const currentImageCount =
            imageContainer.getElementsByTagName('img').length;
        const totalImages = currentImageCount + files.length;

        if (totalImages > 5) {
            alert('Maximum of 5 Images Allowed');
            return;
        }

        for (const file of files) {
            const reader = new FileReader();
            reader.onload = (e) => {
                const imgWrapper = document.createElement('div');
                imgWrapper.classList.add('image-wrapper');

                const img = document.createElement('img');
                img.src = e.target.result;
                imgWrapper.appendChild(img);

                const closeIcon = document.createElement('button');
                closeIcon.innerHTML = '&times;';
                closeIcon.classList.add('close-icon');
                closeIcon.addEventListener('click', () => {
                    imgWrapper.remove();
                    if (imageContainer.getElementsByTagName('img').length < 5) {
                        addImageButton.style.display = 'flex';
                    }
                });
                imgWrapper.appendChild(closeIcon);

                imageContainer.insertBefore(imgWrapper, addImageButton);
            };
            reader.readAsDataURL(file);
        }

        if (totalImages >= 5) {
            addImageButton.style.display = 'none';
        }

        previewArea.style.display = 'block';
        dropArea.style.display = 'none';

        // Reset the file input so that the same file can be selected again
        fileInput.value = '';
    }

    // editButton.addEventListener("click", () => {
    //     modal.style.display = "block";

    //         // Get all image elements within the image-wrapper class
    //         var images = document.querySelectorAll('.image-wrapper img');

    //         // Iterate over each image and set its source to the corresponding hidden field
    //         images.forEach((img, index) => {
    //             var hiddenField = document.getElementById('image' + (index + 1));
    //             if (hiddenField) {
    //                 hiddenField.value = img.src;
    //                 // Log to verify
    //                 console.log("Image " + (index + 1) + " URL: " + img.src);
    //             }
    //         });

    // });

    span.addEventListener('click', () => {
        modal.style.display = 'none';
    });

    window.addEventListener('click', (event) => {
        if (event.target === modal) {
            modal.style.display = 'none';
        }
    });
});
