<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Instant_HDR_Editing
 */

?>

	<footer id="colophon" class="site-footer">
		<div class="container">
            <div class="footer-wrap">
                <div class="logo-text">
					<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a>
                </div>
                <div class="text">© <?php echo date("Y"); ?> AutoHDR. All rights reserved</div>
            </div>
        </div>
		<?php /*
		<div class="site-info">
			<a href="<?php echo esc_url( __( 'https://wordpress.org/', 'instant-hdr-editing' ) ); ?>">
				<?php
				
				printf( esc_html__( 'Proudly powered by %s', 'instant-hdr-editing' ), 'WordPress' );
				?>
			</a>
			<span class="sep"> | </span>
				<?php
				
				printf( esc_html__( 'Theme: %1$s by %2$s.', 'instant-hdr-editing' ), 'instant-hdr-editing', '<a href="http://underscores.me/">Underscores.me</a>' );
				?>
		</div><!-- .site-info -->
	</footer><!-- #colophon -->
	*/ ?>
</div><!-- #page -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>
<?php wp_footer(); ?>

</body>
</html>
