<?php 
/* Template Name: Home */ 
?>

<?php get_header(); ?>

<div id="primary" class="content-area">
    <main id="main" class="site-main" role="main">
    <!-- <input type="file" id="file" />
<input type='button' id='load-file' value='Load'>
<div id="file-content"></div> -->
        
    <section class="title-text-image">
        <div class="page-center">
            <div class="title-text-wrap">
                <h1>Instant HDR Editing</h1>
                <div class="h3">Upload & Edit <span>Your Shoot In Minutes</span></div>
            </div>
            <div class="image-text">
                <div class="slider">
                    <div class="slide">
                        <img src="./wp-content/uploads/2024/07/slide-1.jpg" alt="Slide 1">
                    </div>
                    <div class="slide">
                        <img src="./wp-content/uploads/2024/07/slide-2.jpg" alt="Slide 2">
                    </div>
                    <div class="slide">
                        <img src="./wp-content/uploads/2024/07/slide-3.jpg" alt="Slide 3">
                    </div>
                </div>
                <div class="overlay-text">No more hand editing</div>
            </div>
        </div>
    </section>

    <section class="first-access">
        <div class="container">
            <div class="fa-wrap">
                <div class="content-col">
                    <div class="content-wrap">
                        <h2>Get First Access</h2>
                        <?php echo do_shortcode('[contact-form-7 id="1d7ff3e" title="news-letter"]'); ?>
                        <!-- <form id="email-form" class="input-container" onsubmit="return validateForm()">
                            <div class="field-wrap">
                                <div class="input-icon">
                                    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="25" viewBox="0 0 24 25" fill="none">
                                        <path d="M19 4.04999H5C4.20435 4.04999 3.44129 4.36606 2.87868 4.92867C2.31607 5.49128 2 6.25434 2 7.04999V17.05C2 17.8456 2.31607 18.6087 2.87868 19.1713C3.44129 19.7339 4.20435 20.05 5 20.05H19C19.7956 20.05 20.5587 19.7339 21.1213 19.1713C21.6839 18.6087 22 17.8456 22 17.05V7.04999C22 6.25434 21.6839 5.49128 21.1213 4.92867C20.5587 4.36606 19.7956 4.04999 19 4.04999ZM19 6.04999L12.5 10.52C12.348 10.6078 12.1755 10.654 12 10.654C11.8245 10.654 11.652 10.6078 11.5 10.52L5 6.04999H19Z" fill="white"/>
                                    </svg>
                                </div>
                                <input type="email" placeholder="Enter your Email" class="input-field" required>
                            </div>
                            <div class="cta">
                                <input type="submit" class="submit-button gradient-border" value="Join the WaitList">
                            </div>
                        </form> -->
                        <!-- <p id="error-message" class="error-message"></p>                          -->
                    </div>
                </div>
                <div class="image-col">
                    <div class="image-wrap">
                        <img src="./wp-content/uploads/2024/07/get-first-access.png" alt="get-first-access">
                    </div>
                </div>
            </div>
        </div>
    </section>  

    <!-- <section class="edit-photo">
        <div class="container">
            <div class="main-title">
                <div class="container">
                    <h3>Edit a Test <span>Photo</span></h3>
                </div>
            </div>
            <div class="upload">
                <div class="upload-container">
                    <div class="drop-area" id="drop-area">
                        <div class="icon">
                            <svg xmlns="http://www.w3.org/2000/svg" width="54" height="54" viewBox="0 0 54 54" fill="none">
                                <path d="M34.9126 28.4659L26.6748 35.5444M26.6748 35.5444L18.4369 28.4659M26.6748 35.5444L26.6748 9" stroke="white" stroke-width="2.1533" stroke-linecap="round" stroke-linejoin="round"/>
                                <path d="M5 35.5444V45.5444H49V35.5444" stroke="white" stroke-width="2.1533" stroke-linecap="round" stroke-linejoin="round"/>
                            </svg>
                        </div>
                        <div class="text">Drop Bracket's Here to Edit</div>
                        <p>OR</p>
                        <div class="cta">
                           <button id="browseButton" class="gradient-button">Click Here to Browse</button> 
                        </div>
                        <input type="file" id="fileInput" accept="image/*" multiple style="display: none;">
                    </div>
                    <div class="preview-area" id="preview-area" style="display: none;">
                        <div class="image-container" id="image-container">
                            <div class="add-image" id="add-image">
                                <span>
                                    <svg xmlns="http://www.w3.org/2000/svg" width="40" height="40" viewBox="0 0 40 40" fill="none">
                                        <path d="M20 1L20 39" stroke="white" stroke-width="2" stroke-linecap="round"/>
                                        <path d="M1 20L39 20" stroke="white" stroke-width="2" stroke-linecap="round"/>
                                    </svg>
                                </span>
                            </div>
                        </div>
                        <p>Maximum of 5 Images Allowed</p>
                        <div class="cta">
                            <button id="editBtn">Edit</button>
                        </div>
                    </div>
                </div>
                <div id="editModal1" class="modal" style="display: none;">
                    <div class="modal-content">
                        <span class="close">
                            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none">
                                <path d="M5 5.00003L19.1421 19.1422" stroke="white" stroke-width="2" stroke-linecap="round"/>
                                <path d="M19.1421 5L4.99995 19.1421" stroke="white" stroke-width="2" stroke-linecap="round"/>
                            </svg>
                        </span>
                        <div class="content-wrap">
                            <div class="title">Enter your email to receive your edited photo</div>
                            
                            <form id="receive-img-form" class="input-container" onsubmit="return validateForm()">
                                <div class="field-wrap">
                                    <div class="input-icon">
                                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="25" viewBox="0 0 24 25" fill="none">
                                            <path d="M19 4.04999H5C4.20435 4.04999 3.44129 4.36606 2.87868 4.92867C2.31607 5.49128 2 6.25434 2 7.04999V17.05C2 17.8456 2.31607 18.6087 2.87868 19.1713C3.44129 19.7339 4.20435 20.05 5 20.05H19C19.7956 20.05 20.5587 19.7339 21.1213 19.1713C21.6839 18.6087 22 17.8456 22 17.05V7.04999C22 6.25434 21.6839 5.49128 21.1213 4.92867C20.5587 4.36606 19.7956 4.04999 19 4.04999ZM19 6.04999L12.5 10.52C12.348 10.6078 12.1755 10.654 12 10.654C11.8245 10.654 11.652 10.6078 11.5 10.52L5 6.04999H19Z" fill="white"/>
                                        </svg>
                                    </div>
                                    <input type="email" placeholder="Enter your Email" class="input-field" required>
                                </div>
                                <div class="cta">
                                    <input type="submit" class="submit-button gradient-border" value="Receive Test Image">
                                </div>
                            </form>
                            <p id="error-message" class="error-message"></p>                         
                        </div>
                    </div>
                </div> 

            </div>
        </div>
    </section> -->
    <section class="edit-photo">
        <div class="container">
            <div class="edit-photo-wrap">
                <?php echo do_shortcode('[contact-form-7 id="cd745c9" title="Contact form 1"]') ?>
            </div>
        </div>
    </section>

    <section class="ba-slider-sec">
        <div class="container">
            <div class="image-container">
                <div class="ba-Slider" style="width:852px;height:480px;" unselectable='on' onselectstart='return false;' onmousedown='return false;'>
                    <div id="before" class="ba-img"><img src="./wp-content/uploads/2024/07/slider-image-before.jpg" /></div>
                    <div class="slider">
                        <img src="./wp-content/uploads/2024/07/ba-slider-arrow.png" alt="ba-slider-arrow">
                    </div>
                    <div id="after" class="ba-img"><img src="./wp-content/uploads/2024/07/slider-image-after.jpg" /></div>
                </div>
            </div>
        </div>
    </section>

    </main><!-- .site-main -->

    
</div><!-- .content-area -->

<?php get_footer(); ?>

<style>
    .codedropz-upload-wrapper.preview {
        position: relative;
    }
    input.wpcf7-form-control.wpcf7-drag-n-drop-file.d-none {
        display: block;
        visibility: visible;
        opacity: 1;
        position: absolute;
        height: 100%;
        width: 100%;
        left: 0;
        right: 0;
    }
    .dnd-upload-status {
        z-index: 99999;
    }
</style>